## Class TCacheDependencyList

Description

TCacheDependencyList class.

TCacheDependencyList represents a list of cache dependency objects. Only objects implementing ICacheDependency can be added into this list.

TCacheDependencyList can be used like an array. See TList for more details.

- since: 3.1.0
- version: $Id: TCache.php 2362 2008-01-10 04:59:06Z xue $
- author: Qiang Xue <qiang.xue@gmail.com>

Located in /Caching/TCache.php (line 694)

    TComponent
       |
       --TList
          |
          --TCacheDependencyList

Method Summary
void insertAt (integer $index, mixed $item)
Methods
insertAt (line 704)

Inserts an item at the specified position.

This overrides the parent implementation by performing additional type checking for each newly added item.

- access: public
- throws: TInvalidDataTypeException if the item to be inserted is not a dependency instance

void insertAt (integer $index, mixed $item)

- integer $index: the specified position.
- mixed $item: new item

Redefinition of:

TList::insertAt()
  Inserts an item at the specified position.

#### Inherited Methods

Inherited From TList

> TList::__construct()
> TList::add()
> TList::clear()
> TList::contains()
> TList::copyFrom()
> TList::count()
> TList::getCount()
> TList::getIterator()
> TList::getReadOnly()
> TList::indexOf()
> TList::insertAt()
> TList::itemAt()
> TList::mergeWith()
> TList::offsetExists()
> TList::offsetGet()
> TList::offsetSet()
> TList::offsetUnset()
> TList::remove()
> TList::removeAt()
> TList::setReadOnly()
> TList::toArray()

Inherited From TComponent

> TComponent::addParsedObject()
> TComponent::attachEventHandler()
> TComponent::canGetProperty()
> TComponent::canSetProperty()
> TComponent::createdOnTemplate()
> TComponent::detachEventHandler()
> TComponent::evaluateExpression()
> TComponent::evaluateStatements()
> TComponent::getEventHandlers()
> TComponent::getSubProperty()
> TComponent::hasEvent()
> TComponent::hasEventHandler()
> TComponent::hasProperty()
> TComponent::raiseEvent()
> TComponent::setSubProperty()
> TComponent::__get()
> TComponent::__set()

Documentation generated on Mon, 21 Apr 2008 11:32:04 -0400 by phpDocumentor 1.3.0RC4